
/* --> */

main {
    display: flex;
    justify-content: center;
    align-items: stretch;
    min-height: 100vh;
}


/* form --> */

form {
    box-sizing: border-box;
    position: relative;
    width: 100%;
    max-width: 640px;
    margin: 0 12px;
    background-color: var(--baseColor);
    color: var(--fontColor);
    box-shadow: 0px 0px 28px 4px #000;
}

header {
    position: relative;
    height: 222px;
    background: linear-gradient(black, var(--baseColor) 82px);
}

header div.strip {
    position: absolute;
    top: 110px;
    left: 0;
    right: 0;
    height: 10px;
    background: linear-gradient(red 2px, var(--baseContent) 1px, red 4px);
}

header div.strip::after {
    content: "";
    position: absolute;
    top: 0;
    right: -6px;
    display: block;
    width: 6px;
    height: 18px;
    background: linear-gradient(red 2px, var(--baseContent) 1px, red 4px);
    clip-path: polygon(0 0, 100% 0, 100% 10px, 0 100%);
}

header div.logo {
    position: relative;
    top: 0;
    left: 80px;
    max-width: 260px;
    background: linear-gradient(black, var(--baseColor) 82px);
}

header div.logo img {
    width: 100%;
    vertical-align: middle;
}


h1, p {
    margin: 20px 20px 0 20px;
    color: #fff;
    text-align: center;
}

h1 {
    margin: 0;
    font-size: 65px;
    text-transform: uppercase;
}

.wrap {
    overflow: hidden;
}

.wrap > div {
    margin: 40px 0;
    display: flex;
    transform: translateX(-100%);
    transition: transform 0.6s ease-in-out;
}

form.message .wrap > div {
    transform: translateX(0);
}

.wrap > div p {
    color: #000;
    font-weight: bold;
    text-align: justify;
    text-align-last: left;
}

.wrap > div > * {
    flex: 0 0 100%;
    padding: 20px;
    background-color: #EADBDB;
}

dl dt, dl dd {
    margin-bottom: 20px;
}

dl dd:last-child {
    margin-bottom: 0;
    padding-top: 12px;
}


label, input, select {
    width: 100%;
}

label {
    display: block;
    margin-bottom: 12px;
    font-weight: bold;
}

label.terms {
    display: grid;
    grid-template-columns: minmax(max-content, auto) auto;
    justify-content: left;
    align-items: start;
    gap: 0.4em;
    padding-top: 12px;
}

input, 
select,
input:-webkit-autofill {
    padding: 6px;
    background-color: var(--fontColor);
    border: none;
    border-radius: 4px;
    color: #fff;
    box-shadow: 0px 1px 3px 0px var(--baseColor);
}

input[type=checkbox] {
    width: auto;
    padding: 0;
    box-shadow: none;
}

input[type=submit] {
    user-select: none;
    cursor: pointer;
    padding: 10px 0;
    background-color: #ED0000;
    border: none;
    border-radius: 12px;
    color: #fff;
    font-weight: bold;
    text-transform: uppercase;
    line-height: 1.4em;
    box-shadow: 0px 1px 4px 1px var(--baseColor);
    transition: background-color 0.6s ease-in-out;
}

input[type=submit]:hover,
input:-webkit-autofill:hover {
    background-color: var(--baseColor);
}


/* --> */

@media all and (max-width: 600px)  {
    form {
        margin: 0;
    }

    form header div.strip::after {
        display: none;
    }   
}


@media all and (max-width: 480px) {
    form header div.logo {
        left: 50%;
        transform: translateX(-50%);
    }
}
